<?php
/**
 * Project  	SMS Newsletter by idehpayam
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Backend Administration component
 * @version		$Id$
 * @author		idehpayam
 * @link 		http://www.panel.idehpayam.com,
 * @copyright	Copyright (c) 2012-2014 idehpayam  - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This component provides the backend administration for
 * the SMS Newsletter component. You can sen Newsletters with this 
 * component.
 *
 */
 
 
// No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );
class action{

function SendSMS($msg){
	global $mainframe;
	$db =& JFactory::getDBO();
	$query = 'SELECT * FROM `#__idehpayam_subscriptions` WHERE `status`=\'subscribed\'';
	$db->setQuery($query);
	$resObj = $db->loadObjectList();
	$res = $db->query();
	$rownum = $db->getNumRows();
	
	
	//quering the parameters
	$pdb =& JFactory::getDBO();
	$pquery = 'SELECT `params` FROM `#__components` WHERE `option`=\'com_smsnewsletter\'';
	$pdb->setQuery($pquery);
	$presObj = $pdb->loadObjectList();
	$params = new JParameter( $presObj[0]->params);
	
	//idehpayam NG settings
	$idehpayam_url = $params->get('idehpayam_ip');
	$idehpayam_user = $params->get('idehpayam_user');
	$idehpayam_password = $params->get('idehpayam_password');
	$idehpayam_flash = $params->get('flash');
	$idehpayam_urlapi = $params->get('idehpayam_api');
	//sending the messages to the subscribers
	$phones = array();
	for ($i=0; $i < $rownum; $i++)
		$phones[$i] = $resObj[$i]->phone_number;
	


////////
include_once dirname( __FILE__ ) . '/nusoap.class.php';
$client = new nusoap_client('http://87.107.124.66/webservice/send.php?wsdl');
	$client->soap_defencoding = 'UTF-8';
	$client->decode_utf8 = true;
		$params = array(
			'Username' => $idehpayam_user,
			'Password' => $idehpayam_password,
			'toNum' => $phones,
			'fromNum'=> $idehpayam_url,
			'Content' => $msg,
			'Type' => 'normal'
		);
echo $response = $client->call("SendSMS", $params);	

	 
}

function SaveNewsletter($msg){
	$db =& JFactory::getDBO();
	$query = 'INSERT INTO `#__idehpayam_newsletters` (`newsletter`, `sent`, `sent_date`) VALUES (\''.$msg.'\', \'1\', \''.date("Y-m-d H:i:s").'\');';
	$db->setQuery($query);
	$res = $db->query();
}
	
function DeleteNewsLetter($newsletter){
	$db =& JFactory::getDBO();
	for ($i=0; $i<count($newsletter); $i++){
	$query = 'DELETE FROM `#__ridehpayam_newsletters` WHERE `id` = \''.$newsletter[$i].'\';';
	$db->setQuery($query);
	$res = $db->query();
	}
	
}

//save the subscriber into the database
function saveSubscriber($phone, $status){
	$db =& JFactory::getDBO();
	$query = 'INSERT INTO `#__idehpayam_subscriptions` (`phone_number`, `status`) VALUES (\''.$phone.'\', \''.$status.'\');';
	$db->setQuery($query);
	$res = $db->query();
}


function editSubscriberSave($phone, $status){
	$db =& JFactory::getDBO();
	$query = 'UPDATE `jos_idehpayam_subscriptions` SET `status`=\''.$status.'\' WHERE `phone_number`=\''.$phone.'\';';
	$db->setQuery($query);
	$res = $db->query();
}

function deleteSub($cid){
	$db =& JFactory::getDBO();
	for ($i=0; $i<count($cid); $i++){
	$query = 'DELETE FROM `#__idehpayam_subscriptions` WHERE `id` = \''.$cid[$i].'\';';
	$db->setQuery($query);
	$res = $db->query();
	}
}

}
