﻿<?php
/**
 * Project  	SMS Newsletter by idehpayam
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Subscription Module
 * @version		$Id$
 * @author		idehpayam
 * @link 		http://www.webideh.com
 * @copyright	Copyright (c) 2012-2014 idehpayam - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This module provides the subscription functionality for 
 * the SMS Newsletter component. The users can subscribe 
 * to / or unsubscribe from the newsletter with this module. 
 *
 */
 

// no direct access
defined('_JEXEC') or die('Restricted access');

class modridehpayamNotificationHelper
{

//This function checks if the user is already subscribed
function idehpayamCheckStatus($phonenum){
	global $mainframe;
	$database=& JFactory::getDBO();
	$q = 'SELECT `status` FROM `#__idehpayam_subscriptions` WHERE  phone_number = \'' . $phonenum . '\'';
	$database->setQuery( $q );	
	
	if (!($database->loadResult())){
		return true; //returns true if the user can subscribe
		}
		else 
			if (($database->loadResult()) == 'unsubscribed')
				return true;
			elseif (($database->loadResult()) == 'subscribed')
				return false; //returns false if the user is already subscribed
}

function idehpayamNewsletterSubscribe($phonenum){
	global $mainframe;
	
	$database=& JFactory::getDBO();
	$q = 'SELECT `status` FROM `#__idehpayam_subscriptions` WHERE  phone_number = \'' . $phonenum . '\'';
	$database->setQuery( $q );	
	if (!($database->loadResult())){ //if the phone number is not yet in the database
			$query = 'INSERT INTO `#__idehpayam_subscriptions`(`phone_number` , `status`) VALUES (\'' . $phonenum . '\' , \'subscribed\')';
			$database->setQuery($query);
			$database->query();
		}
		elseif (($database->loadResult()) == unsubscribed){ //if the phone number is in the database, but unsubscribed
			$query = 'UPDATE `#__idehpayam_subscriptions` SET `status` = \'subscribed\' WHERE phone_number = \'' . $phonenum . '\';';
			$database->setQuery($query);
			$database->query();
		}
	echo 'از این که در خبرنامه پیامکی ما عضو شدید سپاس گزاریم';
}	

function idehpayamNewsletterUnsubscribe($phonenum){
	global $mainframe;
	$database=& JFactory::getDBO();
	$query = 'UPDATE `#__idehpayam_subscriptions` SET `status` = \'unsubscribed\' WHERE phone_number = \'' . $phonenum . '\';';
	$database->setQuery($query);
			$database->query();
				echo 'عضویت شما در خبرنامه پیامکی ما لغو شد';

}	

	function idehpayamSendSMS($phone, $msg, $params){
	$debug = false;
	$idehpayam_num = $params->get('idehpayam_number');
	$idehpayam_user = $params->get('idehpayam_user');
	$idehpayam_password = $params->get('idehpayam_password');
	$idehpayam_flash = $params->get('flash');
	$idehpayam_urlapi = $params->get('idehpayam_api');
 

	
include_once dirname( __FILE__ ) . '/nusoap.class.php';
			$client = new nusoap_client('http://87.107.124.66/webservice/send.php?wsdl');
	$client->soap_defencoding = 'UTF-8';
	$client->decode_utf8 = true;
		$params = array(
			'Username' => $idehpayam_user,
			'Password' => $idehpayam_password,
			'toNum' => array($phone),
			'fromNum'=> $idehpayam_num,
			'Content' => $msg,
			'Type' => '0'
		);
		return  $response = $client->call("SendSMS", $params);	

	}
}
